Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 133)
+++ trunk/paper/notes.tex	(revision 134)
@@ -37,15 +37,25 @@
 \fi
 
-\title{\textsc{Delphes}, a framework for fast simulation \\of a general purpose \textsc{lhc} detector}
-\author{S. Ovyn and X. Rouby\thanks{Now in Physikalisches Institut, Albert-Ludwigs-Universit\"at Freiburg} \\
-	Center for Particle Physics and Phenomenology (CP3)\\ Universit\'e catholique de Louvain \\ B-1348 Louvain-la-Neuve, Belgium \\ \\
-        \textit{severine.ovyn@uclouvain.be, xavier.rouby@cern.ch} \\
+%\title{\textsc{Delphes}, a framework for fast simulation \\of a general purpose \textsc{lhc} detector}
+\title{\textsc{Delphes}, a framework for fast simulation \\of a generic collider experiment}
+\author{S. Ovyn and X. Rouby$^\textrm{a}$\\
+	\small{Center for Particle Physics and Phenomenology (CP3)}\\ 
+	\small{Universit\'e catholique de Louvain}\\ 
+        \small{B-1348 Louvain-la-Neuve, Belgium}\\ \\
+        \texttt{severine.ovyn@uclouvain.be, xavier.rouby@cern.ch} \\
 }
 \date{}
 
+
 \begin{document}
 
 \twocolumn[
 \maketitle
+
+\begin{center}
+\includegraphics{DelphesLogoSml}
+\end{center}
+
+
 \begin{abstract}
 Knowing whether theoretical predictions are visible and measurable in a high energy experiment is always delicate, due to the
@@ -56,12 +66,14 @@
 The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms for complex objects, like \textsc{FastJet}. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the \textsc{Hector} software. Finally, the \textsc{Frog} 2D/3D event display is used for visualisation of the collision final states.
 An overview of \textsc{Delphes} is given as well as a few use-cases for illustration.
-\vspace{1cm}
+\vspace{0.5cm}
 
 \noindent
 \textit{Keywords:} \textsc{Delphes}, fast simulation, \textsc{lhc}, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}
-\vspace{1cm}
+\vspace{1.5cm}
+
 \end{abstract}
+\small{$^\textrm{a}$ Now in Physikalisches Institut, Albert-Ludwigs-Universit\"at Freiburg}
 ]
-\saythanks
+%\saythanks
 
 \section{Introduction}
@@ -99,8 +111,9 @@
 %The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. 
 
-Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \textbf{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
+Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
-The output of \textsc{Delphes} contains a copy of the generator level data (\textsc{gen} tree), the analysis data objects after reconstruction (\mbox{\textsc{A}nalysis} tree), and possibly the results of the trigger emulation (\mbox{\textsc{T}rigger} tree). The program is driven by input cards. The detector card (\texttt{data/DataCardDet.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/trigger.dat}) lists the user algorithms for the simplified online preselection.\\
+\textsc{Delphes} uses the \texttt{ExRootAnalysis} utility~\cite{bib:ExRootAnalysis} to create output data in a \texttt{*.root} file format.
+This output contains a copy of the generator level data (\textsc{gen} tree), the analysis data objects after reconstruction (\mbox{\textsc{A}nalysis} tree), and possibly the results of the trigger emulation (\mbox{\textsc{T}rigger} tree). The program is driven by input cards. The detector card (\texttt{data/DataCardDet.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/trigger.dat}) lists the user algorithms for the simplified online preselection.\\
 
 
@@ -335,5 +348,5 @@
 \begin{enumerate}[start=4]
  
-\item {\it Longitudinally invariant $k_t$ jet}:
+\item {\it Longitudinally invariant $k_t$ jet}~\cite{bib:ktjet}:
 \begin{equation}
 \begin{array}{l}
@@ -343,6 +356,5 @@
 \end{equation}
  
-\item {\it Cambridge/Aachen jet}:
- 
+\item {\it Cambridge/Aachen jet}~\cite{bib:aachen}:
 \begin{equation}
 \begin{array}{l}
@@ -352,6 +364,5 @@
 \end{equation}
  
-\item {\it Anti $k_t$ jet}: where hard jets are exactly circular
- 
+\item {\it Anti $k_t$ jet}~\cite{bib:antikt}: where hard jets are exactly circular
 \begin{equation}
 \begin{array}{l}
@@ -381,5 +392,5 @@
 
 
-\subsection{$\tau$ identification}
+\subsection{\texorpdfstring{$\tau$}{\texttau} identification}
 
 Jets originating from $\tau$-decays are identified using an identification procedure consistent with the one applied in a full detector simulation~\cite{bib:cmstaus}. 
@@ -427,5 +438,6 @@
 \includegraphics[width=\columnwidth]{Tau2}
 \caption{Distribution of the electromagnetic collimation $C_\tau$ variable for true $\tau$-jets, normalised to unity. This distribution is shown for associated $WH$ photoproduction~\cite{bib:whphotoproduction}, where the Higgs boson decays into a $W^+ W^-$ pair. Each $W$ boson decays into a $\ell \nu_\ell$ pair, where $\ell = e, \mu, \tau$. 
-Events generated with MadGraph/MadEvent~\cite{bib:mgme}. 
+Events generated with \textsc{MadGraph/MadEvent}~\cite{bib:mgme}. 
+Final state hadronisation is performed by \textsc{Pythia}~\cite{bib:pythia}.
 Histogram entries correspond to true $\tau$-jets, matched with generator level data. }
 \label{fig:tau2}
@@ -533,5 +545,5 @@
 The majority of interesting processes at the \textsc{lhc} contain jets in the final state. The jet resolution obtained using \textsc{Delphes} is therefore a crucial point for its validation. Even if \textsc{Delphes} contains six algorithms for jet reconstruction, only the jet clustering algorithm (\textsc{jetclu}) with $R=0.7$ is used to validate the jet collection. 
 
-This validation \textcolor{red}{employs} $pp \rightarrow gg$ events produced with \textsc{mg/me} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}. The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet \textcolor{red}{axes}
+This validation \textcolor{red}{employs} $pp \rightarrow gg$ events produced with \textsc{MadGraph/MadEvent} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}. The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet \textcolor{red}{axes}
 \begin{equation}
 \Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
@@ -572,5 +584,5 @@
 The samples used to study the \textsc{met} performance are identical to those used for the jet validation. 
 It is worth noting that the contribution to $E_T^\textrm{miss}$ from muons is negligible in the studied sample.
-\textcolor{red}{The\footnote{je n'ai pas tout compris. Ce que j'ai devin\'e est en rouge.} input samples are divided in five bins of scalar $E_T$ sums $(\Sigma E_T)$. This sum, called \textit{total visible transverse energy}, is defined as the scalar sum of transverse energy in all towers.} 
+\textcolor{red}{The\footnote{\textcolor{red}{je n'ai pas tout compris. Ce que j'ai devin\'e est en rouge.}} input samples are divided in five bins of scalar $E_T$ sums $(\Sigma E_T)$. This sum, called \textit{total visible transverse energy}, is defined as the scalar sum of transverse energy in all towers.} 
 The quality of the \textsc{met} reconstruction is checked via the resolution on its horizontal component $E_x^\textrm{miss}$.
 
@@ -598,13 +610,11 @@
 The same quantity obtained by \textsc{Delphes} is in excellent agreement with the expectations of the general purpose detector, as $\alpha = 0.68$.
 
-\subsection{$\tau$-jet efficiency}
+\subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}
 Due to the complexity of their reconstruction algorithm, $\tau$-jets have also to be checked.
 Table~\ref{tab:taurecoefficiency} lists the reconstruction efficiencies for the hadronic $\tau$-jets in the \textsc{cms} experiment and in \textsc{Delphes}. Agreement is good enough to validate this reconstruction.
 
-~\cite{bib:cmstauresolution}.
-
 \begin{table}[!h]
 \begin{center}
-\caption{Reconstruction efficiencies of $\tau$-jets in decays from $Z$ or $H$ bosons.\vspace{0.5cm}}
+\caption{Reconstruction efficiencies of $\tau$-jets in decays from $Z$ or $H$ bosons, in \textsc{Delphes} and in the \textsc{cms} experiment~\cite{bib:cmstauresolution}.\vspace{0.5cm}}
 \begin{tabular}{lll}
 \hline
@@ -624,16 +634,19 @@
 \section{Visualisation}
 
+When performing an event analysis, it can be usefull to convey informations about the detector layout or the event topology in a simple way. With this aim in view, a visualisation tool can be of great interest. Hence, the Fast and Realistic OpenGl Displayer \textsc{frog} has been interfaced in \textsc{Delphes} allowing an easy display of the defined detector configuration\footnote{\texttt{[code] } To prepare the visualisation, the \texttt{FLAG\_frog} parameter should be equal to $1$.}.
+ 
 \begin{figure}[!h]
 \begin{center}
 \includegraphics[width=\columnwidth]{Detector_Delphes_1}
-\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink). 
-It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections. 
-The outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector. 
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink).
+It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections.
+The outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector.
 The actual detector granularity and extension is defined in the user-configuration card. The detector is assumed to be strictly symmetric around the beam axis (black line). Additional forward detectors are not depicted.}
 \label{fig:GenDet}
 \end{center}
 \end{figure}
-
-
+ 
+For the purpose of publication and talks, the two and three-dimentional representation of the used detector configuration can be used as it clearly show the geometric coverage of the different detector subsystems. An an illustration, the obtained representation of the generic detector geometry assumed in \textsc{Delphes} is shown in Fig.\ref{fig:GenDet} and \ref{fig:GenDet2}  As pointed before, the detector is assumed to be strictly symmetric around the beam axis. The extention in pseudorapidity of the central tracking system, the central calorimeters are displayed.  In addition, the two end-cap calorimeters ad defined in the Datacard extend the pseudorapidity coverage of the central detector until $|\eta|=5$. Nevertheless, it should be noticed that only the geometry coverage is represented and that the calorimeter segmentation is not taken into account in the draw  of the detector. Morevocer, the radius as well as the length of the different sub-detectors are insignifiant
+ 
 \begin{figure}[!h]
 \begin{center}
@@ -643,8 +656,7 @@
 \end{center}
 \end{figure}
-
-
-As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton. This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state. The experimental signature is a lack of hadronic activity in one forward hemisphere, where the surviving proton escapes. The $t$ quark decays into a $W$ and a $b$. Both $W$ bosons decay into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow \tau \nu_\tau$).
-
+ 
+A more deep understanding of interesting physics processes is obtained using the display of the events. The visibility of each set of objects (e.g. electrons, muons, taus, jets, transverse missing energy) is enhanced by a color coding. Moreover, each object is toggled on by a simple mouse action allowing to access its four-momentum infomration. As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton. This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state. The experimental signature is a lack of hadronic activity in one forward hemisphere, where the surviving proton escapes. The $t$ quark decays into a $W$ and a $b$. Both $W$ bosons decay into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow \tau \nu_\tau$).
+ 
 \begin{figure}[!h]
 \begin{center}
@@ -655,24 +667,69 @@
 \end{figure}
 
-
-
-
 \section{Conclusion and perspectives}
 
+\subsection{version 1}
+We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment.
+It has already been used for several phenomenological studies, in particular in photon interactions at the \textsc{lhc}.
+
+\textsc{Delphes} takes the output of event generators, in various formats, and yields analysis object data.
+The simulation applies the resolutions of central and forward detectors by smearing the kinematical properties of final state particles. 
+It yields tracks in a solenoidal magnetic field and calorimetric towers.
+Realistic reconstruction algorithms are run, including the \textsc{FastJet} package, to produce collections of $e^\pm$, $\mu^\pm$, jets and $\tau$-jets. $b$-tag and missing transverse energy are also evaluated. 
+The output is validated by comparing to the \textsc{cms} expected performances.
+A trigger stage can be emulated on the output data. 
+At last, event visualisation is possible through the \textsc{Frog} 3D event display.
+
+
+\textsc{Delphes} has been developped using the parameters of the \textsc{cms} experiment but can be easily extended to \textsc{atlas} and other non-\textsc{lhc} experiments, as at Tevatron or at the \textsc{ilc}. Further developments include a more flexible design for the subdetector assembly and possibly the implementation of an event mixing module for pile-up event simulation.
+\textcolor{red}{c'est complet, mais ca ressemble fort a l'abstract et a l'intro.}
+
+
+\subsection{version 2}
+We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment. This framework is a tool meant for feasibility studies in phenomenology, probing the observability of models in collider experiments. It has already been used for several analyses, in particular in photon interactions at the \textsc{lhc}.
+
+\textsc{Delphes} takes the output of event generators and yields analysis object data.
+The simulation includes central and forward detectors to produce realistic observables using standard reconstruction algorithms. 
+Moreover, the framework allows trigger emulation and 3D event visualisation.
+
+\textsc{Delphes} has been developped using the parameters of the \textsc{cms} experiment but can be easily extended to \textsc{atlas} and other non-\textsc{lhc} experiments, as at Tevatron or at the \textsc{ilc}. Further developments include a more flexible design for the subdetector assembly and possibly the implementation of an event mixing module for pile-up event simulation.
+
+
+
+\section*{Acknowledgements}
+\addcontentsline{toc}{section}{Acknowledgements}
+The author would like to thank Vincent Lemaitre, Muriel Vander Donckt and David d'Enterria for useful discussions and comments, and Loic Quertenmont for support in interfacing \textsc{Frog}. 
+Part of this work was supported by the Belgian Federal Office for Scientific, Technical and Cultural Affairs through the Interuniversity Attraction Pole P6/11. 
+
+
 \begin{thebibliography}{99}
+\addcontentsline{toc}{section}{References}
   
 \bibitem{bib:Delphes} \textsc{Delphes}, hepforge:
-\bibitem{bib:FastJet} \textsc{Fast-Jet},
-\bibitem{bib:SIScone} A practical Seedless Infrared-Safe Cone jet algorithm, G.P. Salam, G. Soyez, JHEP0705:086,2007.
-\bibitem{bib:Hector} \textsc{Hector},
+\bibitem{bib:Root} %\textsc{Root}, \textit{An Object Oriented Data Analysis Framework}, 
+R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86. 
+\bibitem{bib:ExRootAnalysis} %\textit{The} \textsc{ExRootAnalysis} \textit{analysis steering utility}, 
+P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
+\bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
+X. Rouby, J. de Favereau, K. Piotrzkowski, JINST 2 P09005 (2007).
+\bibitem{bib:FastJet} %\textit{The} \textsc{FastJet} \textit{package}, 
+M. Cacciari, G. Salam, Phys. Lett. B 641 (2006) 57.
+\bibitem{bib:SIScone} %\textsc{SIScone}, \textit{A practical Seedless Infrared-Safe Cone jet algorithm}, 
+G.P. Salam, G. Soyez, JHEP0705:086 (2007).
+\bibitem{bib:ktjet} S. Catani, Y. L. Dokshitzer, M. H. Seymour and B. R. Webber, Nucl. Phys. B 406 (1993) 187. S. D. Ellis and D. E. Soper, Phys. Rev. D 48 (1993) 3160.
+\bibitem{bib:aachen} Y.L. Dokshitzer, G.D. Leder, S. Moretti and B.R. Webber, JHEP 9708 (1997) 001. M. Wobisch and T. Wengler, arXiv:hep-ph/9907280.
+\bibitem{bib:antikt} %\textit{The anti-kt jet clustering algorithm}, 
+M. Cacciari, G. P. Salam and G. Soyez, JHEP 0804 (2008) 063.
+\bibitem{bib:cmstaus} Tau reconstruction in CMS
+\bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), PL B667, 1 (2008).
+\bibitem{bib:whphotoproduction} S. Ovyn
+\bibitem{bib:mgme} %\textsc{MadGraph/MadEvent v4}, \textit{The New Web Generation}, 
+J. Alwall, P. Demin, S. de Visscher, R. Frederix, M. Herquet, F. Maltoni, T. Plehn, D.L. Rainwater, T. Stelzer, JHEP 0709:028 (2007).
+\bibitem{bib:pythia} %\textsc{Pythia 6.4}, \textit{Physics and Manual}, 
+T. Sjostrand, S. Mrenna and P. Skands, JHEP 05 (2006) 026.
+\bibitem{bib:cmsjetresolution} CMS IN 2007/053.
+\bibitem{bib:cmstauresolution} %\textit{Study of $\tau$-jet identification in CMS}, 
+R. Kinnunen, CMS NOTE 1997/002.
 \bibitem{bib:Frog} \textsc{Frog},
-\bibitem{bib:cmsjetresolution} CMS IN 2007/053
-\bibitem{bib:Root} \textsc{Root} - An Object Oriented Data Analysis Framework, R. Brun and F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86, \url{http://root.cern.ch} 
-\bibitem{bib:cmstaus} Tau reconstruction in CMS
-\bibitem{bib:whphotoproduction} WH photoproduction, S. Ovyn
-\bibitem{bib:mgme} Madgraph/Madevent version xx.yy
-\bibitem{bib:pythia} \textsc{Pythia} version xx.yy
-\bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), PL B667, 1 (2008) (URL: http://pdg.lbl.gov)
-\bibitem{bib:cmstauresolution} R. Kinnunen, \textit{Study of $\tau$-jet identification in CMS}, CMS NOTE 1997/002.
 \end{thebibliography}
 
@@ -957,2 +1014,14 @@
  
 \end{document}
+
+%[25] ATLAS Collaboration, Detector and Physics Performance Technical Design
+%     Report, Vols. 1 and 2, CERNâLHCCâ99â14 and CERNâLHCCâ99â15.
+%[26] CMS Collaboration, CMS Physics Technical Design Report, CERN/LHCC
+%     2006â001.
+%[27] A. Djouadi, J. Lykken, K. Monig, Y. Okada, M. J. Oreglia and S. Yamashita,
+%     International Linear Collider Reference Design Report Volume 2: PHYSICS
+%     AT THE ILC, arXiv:0709.1893 [hep-ph].
+
+% personnes qui pourraient Ãªtre intÃ©ressÃ©es:
+% Alice, Benjamin
+% auteurs de arXiv:0801.3359