Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 134)
+++ trunk/paper/notes.tex	(revision 136)
@@ -69,5 +69,6 @@
 
 \noindent
-\textit{Keywords:} \textsc{Delphes}, fast simulation, \textsc{lhc}, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}
+\textit{Keywords:} \textsc{Delphes}, fast simulation, \textsc{lhc}, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}\\
+\href{http://www.fynu.ucl.ac.be/delphes.html}{http://www.fynu.ucl.ac.be/delphes.html}
 \vspace{1.5cm}
 
@@ -328,13 +329,13 @@
 \begin{enumerate}
  
-\item {\it CDF Jet Clusters}: Algorithm forming jets by associating together towers lying within a circle (default radius $\Delta R=0.7$) in the $(\eta$, $\phi)$ space. 
-The so-called \textsc{jetclu} cone jet algorithm that was used by \textsc{cdf} in Run II is used. 
+\item {\it CDF Jet Clusters}~\cite{bib:jetclu}: Algorithm forming jets by associating together towers lying within a circle (default radius $\Delta R=0.7$) in the $(\eta$, $\phi)$ space. 
+The so-called \textsc{Jetclu} cone jet algorithm that was used by \textsc{cdf} in Run II is used. 
 All towers with a transverse energy $E_T$ higher than a given threshold (default: $E_T > 1~\textrm{GeV}$) are used to seed the jet candidates. 
 The existing \textsc{FastJet} code as been modified to allow easy modification or the tower pattern in $\eta$, $\phi$ space. 
 In the following versions of \textsc{Delphes}, a new dedicated plug-in will be created on this purpose\footnote{\texttt{[code] }\texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the smearing card.}.
  
-\item {\it CDF MidPoint}: Algorithm developped for the \textsc{cdf} Run II to reduce infrared and collinear sensitivity compared to purely seed-based cone by adding `midpoints' (energy barycenters) in the list of cone seeds.
- 
-\item {\it SISCone}: Seedless Infrared Safe Cone~\cite{bib:SIScone}: Cone algorithm simultaneously insensitive to additional soft particles and collinear splittings, and fast enough to be used in experimental analysis.
+\item {\it CDF MidPoint}~\cite{bib:midpoint}: Algorithm developped for the \textsc{cdf} Run II to reduce infrared and collinear sensitivity compared to purely seed-based cone by adding `midpoints' (energy barycenters) in the list of cone seeds.
+ 
+\item {\it Seedless Infrared Safe Cone}~\cite{bib:SIScone}: The \textsc{SISCone} algorithm is simultaneously insensitive to additional soft particles and collinear splittings, and fast enough to be used in experimental analysis.
  
 \end{enumerate}
@@ -394,5 +395,5 @@
 \subsection{\texorpdfstring{$\tau$}{\texttau} identification}
 
-Jets originating from $\tau$-decays are identified using an identification procedure consistent with the one applied in a full detector simulation~\cite{bib:cmstaus}. 
+Jets originating from $\tau$-decays are identified using an identification procedure consistent with the one applied in a full detector simulation~\cite{bib:cmsjetresolution}. 
 The tagging rely on two properties of the $\tau$ lepton. First, $77\%$ of the $\tau$ hadronic decays contain only one charged hadron associated to a few neutrals (table~\ref{tab:taudecay}). Tracks are useful for this criterium. Secondly, the particles arisen from the $\tau$ lepton produce narrow jets in the calorimeter (\textit{collimation}). 
 
@@ -545,5 +546,5 @@
 The majority of interesting processes at the \textsc{lhc} contain jets in the final state. The jet resolution obtained using \textsc{Delphes} is therefore a crucial point for its validation. Even if \textsc{Delphes} contains six algorithms for jet reconstruction, only the jet clustering algorithm (\textsc{jetclu}) with $R=0.7$ is used to validate the jet collection. 
 
-This validation \textcolor{red}{employs} $pp \rightarrow gg$ events produced with \textsc{MadGraph/MadEvent} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}. The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet \textcolor{red}{axes}
+This validation is based on $pp \rightarrow gg$ events produced with \textsc{MadGraph/MadEvent} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}. The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet axes
 \begin{equation}
 \Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
@@ -634,57 +635,75 @@
 \section{Visualisation}
 
-When performing an event analysis, it can be usefull to convey informations about the detector layout or the event topology in a simple way. With this aim in view, a visualisation tool can be of great interest. Hence, the Fast and Realistic OpenGl Displayer \textsc{frog} has been interfaced in \textsc{Delphes} allowing an easy display of the defined detector configuration\footnote{\texttt{[code] } To prepare the visualisation, the \texttt{FLAG\_frog} parameter should be equal to $1$.}.
+When performing an event analysis, a visualisation tool is useful to convey information about the detector layout and the event topology in a simple way. The \textit{Fast and Realistic OpenGL Displayer} \textsc{frog}~\cite{bib:Frog} has been interfaced in \textsc{Delphes}, allowing an easy display of the defined detector configuration\footnote{\texttt{[code] } To prepare the visualisation, the \texttt{FLAG\_frog} parameter should be equal to $1$.}.
+ 
+% \begin{figure}[!h]
+% \begin{center}
+% \includegraphics[width=\columnwidth]{Detector_Delphes_1}
+% \caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink), embedded into a solenoidal magnetic field.
+% It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections.
+% The outer layer of the central system (red) consist of a muon system. 
+% In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector.
+% The actual detector granularity and extension is defined in the smearing card. 
+% The detector is assumed to be strictly symmetric around the beam axis (black line). 
+% Additional forward detectors are not depicted.}
+% \label{fig:GenDet}
+% \end{center}
+% \end{figure}
+ 
+Two and three-dimentional representations of the detector configuration can be used for communication purpose, as it clearly shows the geometric coverage of the different detector subsystems. As an illustration, the generic detector geometry assumed in \textsc{Delphes} is shown in Fig.~\ref{fig:GenDet3}
+%, \ref{fig:GenDet}
+ and~\ref{fig:GenDet2}.  
+As pointed before, the detector is assumed to be strictly symmetric around the beam axis. 
+The extensions of the central tracking system, the central calorimeters and both forward calorimeters are visible.  
+Nevertheless, it should be noticed that only the geometrical coverage is depicted and that the calorimeter segmentation is not taken into account in the drawing of the detector. Moreover, both the radius and the length of each sub-detectors are just display parameters and are insignificant for the physics simulation.
  
 \begin{figure}[!h]
 \begin{center}
-\includegraphics[width=\columnwidth]{Detector_Delphes_1}
-\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink).
-It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections.
-The outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector.
-The actual detector granularity and extension is defined in the user-configuration card. The detector is assumed to be strictly symmetric around the beam axis (black line). Additional forward detectors are not depicted.}
-\label{fig:GenDet}
+\includegraphics[width=\columnwidth]{Detector_Delphes_2b}
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. Open 3D-view of the detector with solid volumes. Same colour codes as for Fig.~\ref{fig:GenDet3} are applied. Additional forward detectors are not depicted.}
+\label{fig:GenDet2}
 \end{center}
 \end{figure}
  
-For the purpose of publication and talks, the two and three-dimentional representation of the used detector configuration can be used as it clearly show the geometric coverage of the different detector subsystems. An an illustration, the obtained representation of the generic detector geometry assumed in \textsc{Delphes} is shown in Fig.\ref{fig:GenDet} and \ref{fig:GenDet2}  As pointed before, the detector is assumed to be strictly symmetric around the beam axis. The extention in pseudorapidity of the central tracking system, the central calorimeters are displayed.  In addition, the two end-cap calorimeters ad defined in the Datacard extend the pseudorapidity coverage of the central detector until $|\eta|=5$. Nevertheless, it should be noticed that only the geometry coverage is represented and that the calorimeter segmentation is not taken into account in the draw  of the detector. Morevocer, the radius as well as the length of the different sub-detectors are insignifiant
+Deeper understanding of interesting physics processes is possible by displaying the events themselves. 
+The visibility of each set of objects ($e^\pm$, $\mu^\pm$, $\tau^\pm$, jets, transverse missing energy) is enhanced by a color coding. 
+Moreover, kinematical information of each object is visible by a simple mouse action. 
+As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. 
+This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton~\cite{bib:wtphotoproduction}. 
+This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state.
+As the energy and virtuality of the emitted photon are low, the surviving proton does not leave the beam and escapes from the central detector without being detected.
+The experimental signature is a lack of hadronic activity in one forward hemisphere, where the surviving proton escapes. 
+The $t$ quark decays into a $W$ boson and a $b$ quark. 
+Both $W$ bosons decay into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow \tau \nu_\tau$).
+The balance between the missing transverse energy and the charged lepton pair is clear, as well as the presence of an empty forward region.
  
 \begin{figure}[!h]
 \begin{center}
-\includegraphics[width=0.6\columnwidth]{Detector_Delphes_2b}
-\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. Open 3D-view of the detector with solid volumes. Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
-\label{fig:GenDet2}
+\includegraphics[width=\columnwidth]{Events_Delphes_1}
+\caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event, with $t \rightarrow Wb$. One $W$ boson decays into a $\mu \nu_\mu$ pair and the second one into a $\tau \nu_\tau$ pair. The surviving proton leaves a forward hemisphere with no hadronic activity. The isolated muon is shown as the blue vector. The $\tau$-jet is the cone around the green vector, while the reconstructed missing energy is shown in gray. One jet is visible in one forward region, along the beamline axis, opposite to the direction of the escaping proton.}
+\label{fig:wt}
 \end{center}
 \end{figure}
- 
-A more deep understanding of interesting physics processes is obtained using the display of the events. The visibility of each set of objects (e.g. electrons, muons, taus, jets, transverse missing energy) is enhanced by a color coding. Moreover, each object is toggled on by a simple mouse action allowing to access its four-momentum infomration. As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton. This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state. The experimental signature is a lack of hadronic activity in one forward hemisphere, where the surviving proton escapes. The $t$ quark decays into a $W$ and a $b$. Both $W$ bosons decay into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow \tau \nu_\tau$).
- 
-\begin{figure}[!h]
-\begin{center}
-\includegraphics[width=\columnwidth]{Events_Delphes_1}
-\caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event. One $W$ boson decays into a $\mu \ \nu_\mu$ pair and the second one into a $\tau \ \nu_\tau$ pair. The surviving proton leaves a forward hemisphere with no hadronic activity. The isolated muon is shown as the blue vector. The $\tau$-jet is the cone around the green vector, while the reconstructed missing energy is shown in gray. One jet is visible in one forward region, along the beamline axis, opposite to the direction of the escaping proton.}
-\label{fig:wt}
-\end{center}
-\end{figure}
 
 \section{Conclusion and perspectives}
 
-\subsection{version 1}
-We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment.
-It has already been used for several phenomenological studies, in particular in photon interactions at the \textsc{lhc}.
-
-\textsc{Delphes} takes the output of event generators, in various formats, and yields analysis object data.
-The simulation applies the resolutions of central and forward detectors by smearing the kinematical properties of final state particles. 
-It yields tracks in a solenoidal magnetic field and calorimetric towers.
-Realistic reconstruction algorithms are run, including the \textsc{FastJet} package, to produce collections of $e^\pm$, $\mu^\pm$, jets and $\tau$-jets. $b$-tag and missing transverse energy are also evaluated. 
-The output is validated by comparing to the \textsc{cms} expected performances.
-A trigger stage can be emulated on the output data. 
-At last, event visualisation is possible through the \textsc{Frog} 3D event display.
-
-
-\textsc{Delphes} has been developped using the parameters of the \textsc{cms} experiment but can be easily extended to \textsc{atlas} and other non-\textsc{lhc} experiments, as at Tevatron or at the \textsc{ilc}. Further developments include a more flexible design for the subdetector assembly and possibly the implementation of an event mixing module for pile-up event simulation.
-\textcolor{red}{c'est complet, mais ca ressemble fort a l'abstract et a l'intro.}
-
-
-\subsection{version 2}
+% \subsection{version 1}
+% We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment.
+% It has already been used for several phenomenological studies, in particular in photon interactions at the \textsc{lhc}.
+% 
+% \textsc{Delphes} takes the output of event generators, in various formats, and yields analysis object data.
+% The simulation applies the resolutions of central and forward detectors by smearing the kinematical properties of final state particles. 
+% It yields tracks in a solenoidal magnetic field and calorimetric towers.
+% Realistic reconstruction algorithms are run, including the \textsc{FastJet} package, to produce collections of $e^\pm$, $\mu^\pm$, jets and $\tau$-jets. $b$-tag and missing transverse energy are also evaluated. 
+% The output is validated by comparing to the \textsc{cms} expected performances.
+% A trigger stage can be emulated on the output data. 
+% At last, event visualisation is possible through the \textsc{Frog} 3D event display.
+% 
+% 
+% \textsc{Delphes} has been developped using the parameters of the \textsc{cms} experiment but can be easily extended to \textsc{atlas} and other non-\textsc{lhc} experiments, as at Tevatron or at the \textsc{ilc}. Further developments include a more flexible design for the subdetector assembly and possibly the implementation of an event mixing module for pile-up event simulation.
+% \textcolor{red}{c'est complet, mais ca ressemble fort a l'abstract et a l'intro.}
+% 
+% 
+% \subsection{version 2}
 We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment. This framework is a tool meant for feasibility studies in phenomenology, probing the observability of models in collider experiments. It has already been used for several analyses, in particular in photon interactions at the \textsc{lhc}.
 
@@ -706,30 +725,35 @@
 \addcontentsline{toc}{section}{References}
   
-\bibitem{bib:Delphes} \textsc{Delphes}, hepforge:
+\bibitem{bib:Delphes} \textsc{Delphes}, \href{http://www.fynu.ucl.ac.be/delphes.html}{www.fynu.ucl.ac.be/delphes.html}
+%hepforge:
 \bibitem{bib:Root} %\textsc{Root}, \textit{An Object Oriented Data Analysis Framework}, 
-R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86. 
+R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in \textbf{Phys. Res. A} 389 (1997) 81-86. 
 \bibitem{bib:ExRootAnalysis} %\textit{The} \textsc{ExRootAnalysis} \textit{analysis steering utility}, 
 P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
 \bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
-X. Rouby, J. de Favereau, K. Piotrzkowski, JINST 2 P09005 (2007).
+X. Rouby, J. de Favereau, K. Piotrzkowski, \textbf{JINST} 2 P09005 (2007).
 \bibitem{bib:FastJet} %\textit{The} \textsc{FastJet} \textit{package}, 
-M. Cacciari, G. Salam, Phys. Lett. B 641 (2006) 57.
+M. Cacciari, G. Salam, \textbf{Phys. Lett. B} 641 (2006) 57.
+\bibitem{bib:jetclu} %\textsc{cdf} Run I legacy algorithm,
+F. Abe et al. (CDF Coll.), \textbf{Phys. Rev. D} 45, (1992) 1448.
+\bibitem{bib:midpoint} %Run II Jet Physics: Proceedings of the Run II QCD and Weak Boson Physics Workshop,
+G.C. Blazey, et al., arXiv:hep-ex/0005012.
 \bibitem{bib:SIScone} %\textsc{SIScone}, \textit{A practical Seedless Infrared-Safe Cone jet algorithm}, 
-G.P. Salam, G. Soyez, JHEP0705:086 (2007).
-\bibitem{bib:ktjet} S. Catani, Y. L. Dokshitzer, M. H. Seymour and B. R. Webber, Nucl. Phys. B 406 (1993) 187. S. D. Ellis and D. E. Soper, Phys. Rev. D 48 (1993) 3160.
-\bibitem{bib:aachen} Y.L. Dokshitzer, G.D. Leder, S. Moretti and B.R. Webber, JHEP 9708 (1997) 001. M. Wobisch and T. Wengler, arXiv:hep-ph/9907280.
+G.P. Salam, G. Soyez, \textbf{JHEP} 0705:086 (2007).
+\bibitem{bib:ktjet} S. Catani, Y. L. Dokshitzer, M. H. Seymour, B. R. Webber, \textbf{Nucl. Phys. B} 406 (1993) 187; S. D. Ellis, D. E. Soper, \textbf{Phys. Rev. D} 48 (1993) 3160.
+\bibitem{bib:aachen} Y.L. Dokshitzer, G.D. Leder, S. Moretti, B.R. Webber, \textbf{JHEP} 9708 (1997) 001; M. Wobisch, T. Wengler, arXiv:hep-ph/9907280.
 \bibitem{bib:antikt} %\textit{The anti-kt jet clustering algorithm}, 
-M. Cacciari, G. P. Salam and G. Soyez, JHEP 0804 (2008) 063.
-\bibitem{bib:cmstaus} Tau reconstruction in CMS
-\bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), PL B667, 1 (2008).
-\bibitem{bib:whphotoproduction} S. Ovyn
+M. Cacciari, G. P. Salam, G. Soyez, \textbf{JHEP} 0804 (2008) 063.
+\bibitem{bib:cmsjetresolution} CMS Collaboration, \textbf{CERN/LHCC} 2006-001; \textbf{CMS IN} 2007/053.
+\bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), \textbf{Phys. Lett. B} 667 (2008) 1.
+\bibitem{bib:whphotoproduction} S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} 179-180 (2008) 269-276.
 \bibitem{bib:mgme} %\textsc{MadGraph/MadEvent v4}, \textit{The New Web Generation}, 
-J. Alwall, P. Demin, S. de Visscher, R. Frederix, M. Herquet, F. Maltoni, T. Plehn, D.L. Rainwater, T. Stelzer, JHEP 0709:028 (2007).
+J. Alwall, et al., \textbf{JHEP} 0709:028 (2007).
 \bibitem{bib:pythia} %\textsc{Pythia 6.4}, \textit{Physics and Manual}, 
-T. Sjostrand, S. Mrenna and P. Skands, JHEP 05 (2006) 026.
-\bibitem{bib:cmsjetresolution} CMS IN 2007/053.
+T. Sjostrand, S. Mrenna, P. Skands, \textbf{JHEP} 05 (2006) 026.
 \bibitem{bib:cmstauresolution} %\textit{Study of $\tau$-jet identification in CMS}, 
-R. Kinnunen, CMS NOTE 1997/002.
-\bibitem{bib:Frog} \textsc{Frog},
+R. Kinnunen, \textbf{CMS NOTE} 1997/002.
+\bibitem{bib:Frog} L. Quertenmont, V. Roberfroid, hep-ex/xxx.
+\bibitem{bib:wtphotoproduction} J. de Favereau de Jeneret, S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} 179-180 (2008) 277-284; S. Ovyn, J. de Favereau de Jeneret, \href{http://arxiv.org/pdf/0806.4841v1}{arXiv:hep-ph/0806.4841}
 \end{thebibliography}
 
@@ -1017,6 +1041,5 @@
 %[25] ATLAS Collaboration, Detector and Physics Performance Technical Design
 %     Report, Vols. 1 and 2, CERNâLHCCâ99â14 and CERNâLHCCâ99â15.
-%[26] CMS Collaboration, CMS Physics Technical Design Report, CERN/LHCC
-%     2006â001.
+%[26] CMS Collaboration, CMS Physics Technical Design Report, CERN/LHCC 2006â001.
 %[27] A. Djouadi, J. Lykken, K. Monig, Y. Okada, M. J. Oreglia and S. Yamashita,
 %     International Linear Collider Reference Design Report Volume 2: PHYSICS