Index: /trunk/paper/notes.tex
===================================================================
--- /trunk/paper/notes.tex	(revision 136)
+++ /trunk/paper/notes.tex	(revision 137)
@@ -16,5 +16,5 @@
 \usepackage{verbatim}
 \addtolength{\textwidth}{1cm} \addtolength{\hoffset}{-0.5cm}
-\usepackage[colorlinks=true, pdfstartview=FitV, linkcolor=black, citecolor=black, urlcolor=black, unicode]{hyperref}
+\usepackage[colorlinks=true, pdfstartview=FitV, linkcolor=blue, citecolor=blue, urlcolor=blue, unicode]{hyperref}
 \usepackage{ifpdf}
 \usepackage{cite}
@@ -59,6 +59,7 @@
 
 \begin{abstract}
-Knowing whether theoretical predictions are visible and measurable in a high energy experiment is always delicate, due to the
-complexity of the related detectors, data acquisition chain and software. We introduce here a new framework, \textsc{Delphes}, for fast simulation of
+It is always delicate to  know whether theoretical predictions are visible and measurable in a high energy experiment due to the complexity of the related detectors, data acquisition chain and software.
+%Knowing whether theoretical predictions are visible and measurable in a high energy experiment is always delicate due to the complexity of the related detectors, data acquisition chain and software. 
+We introduce here a new framework, \textsc{Delphes}, for fast simulation of
 a general purpose experiment. The simulation includes a tracking system, embedded into a magnetic field, calorimetry and a muon
 system, and possible very forward detectors arranged along the beamline.
@@ -84,5 +85,5 @@
 % - 3) permet de comparer
 
-Experiments at high energy colliders are very complex systems, in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. These detectors differ with their principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
+Experiments at high energy colliders are very complex systems in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. These detectors differ with their principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
 
 This complexity is handled by large collaborations of thousands of people, which restrict the availability of the data, software and documentation to their members. Real data analyses require a full detector simulation, including the various detector inefficiencies, the dead material, the imperfections and the geometrical details. Moreover, detector calibration and alignment are crucial. Such simulation is very complicated, technical and slow. On the other hand, phenomenological studies, looking for the observability of given signals, may require only fast but realistic estimates of the observables.
@@ -124,5 +125,5 @@
 A central tracking system (\textsc{tracker}) is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp.). Two forward calorimeters (\textsc{fcal}) ensure a larger geometric coverage for the measurement of the missing transverse energy. Finally, a muon system (\textsc{muon}) encloses the central detector volume
 The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the smearing data card\footnote{\texttt{[code] }See the \texttt{RESOLution} class.}. 
-If no such file is provided, predifined values are used. The coverage of the various subsystems used in the default configuration are summarised in table \ref{tab:defEta}.
+If no such file is provided, predifined values are used. The coverage of the various subsystems used in the default configuration are summarised in Tab.~\ref{tab:defEta}.
 
 \begin{table*}[t]
@@ -179,5 +180,5 @@
 In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and an hadronic part. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by forward calorimeters, with different response to electromagnetic objects ($e^\pm, \gamma$) or hadrons. 
 Muons and neutrinos are assumed no to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should subsequently be handled with care.}.
-The default values of the stochastic, noisy and constant terms are given in Table~\ref{tab:defResol}.\\
+The default values of the stochastic, noisy and constant terms are given in Tab.~\ref{tab:defResol}.\\
 
 \begin{table}[!h]
@@ -244,5 +245,5 @@
 Most of the recent experiments in beam colliders have additional instrumentation along the beamline. These extend the $\eta$ coverage to higher values, for the detection of very forward final-state particles. 
 Zero Degree Calorimeters (\textsc{zdc}) are located at zero angle, i.e. are aligned with the beamline axis at the interaction point, and placed at the distance where the paths of incoming and outgoing beams separate (Fig.~\ref{fig:fdets}). These allow the measurement of stable neutral particles ($\gamma$ and $n$) coming from the interaction point, with large pseudorapirities (e.g. $|\eta_{\textrm{n,}\gamma}| > 8.3$ in \textsc{cms}).
-Forward taggers (called here \textsc{rp220} and \textsc{fp420} as at the \textsc{lhc}) are meant for the measurement of particles following very closely the beam path. To be able to reach these detectors, such particles must have a charge identical to the beam particles, and a momentum very close to the nominal value for the beam. These taggers are near-beam detectors located a few millimeters from the true beam trajectory and this distance defines their acceptance (Table~\ref{tab:fdetacceptance}).
+Forward taggers (called here \textsc{rp220} and \textsc{fp420} as at the \textsc{lhc}) are meant for the measurement of particles following very closely the beam path. To be able to reach these detectors, such particles must have a charge identical to the beam particles, and a momentum very close to the nominal value for the beam. These taggers are near-beam detectors located a few millimeters from the true beam trajectory and this distance defines their acceptance (Tab.~\ref{tab:fdetacceptance}).
 
 \begin{figure}[!h]
@@ -332,5 +333,5 @@
 The so-called \textsc{Jetclu} cone jet algorithm that was used by \textsc{cdf} in Run II is used. 
 All towers with a transverse energy $E_T$ higher than a given threshold (default: $E_T > 1~\textrm{GeV}$) are used to seed the jet candidates. 
-The existing \textsc{FastJet} code as been modified to allow easy modification or the tower pattern in $\eta$, $\phi$ space. 
+The existing \textsc{FastJet} code has been modified to allow easy modification of the tower pattern in $\eta$, $\phi$ space. 
 In the following versions of \textsc{Delphes}, a new dedicated plug-in will be created on this purpose\footnote{\texttt{[code] }\texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the smearing card.}.
  
@@ -345,5 +346,5 @@
 The three following jet algorithms are safe for soft radiations (\textit{infrared}) and collinear splittings. They rely on recombination schemes where neighbouring calotower pairs are successively merged. The definitions of the jet algorithms are similar except for the definition of the \textit{distances} $d$ used during the merging procedure. Two such variables are defined: the distance $d_{ij}$ between each pair of towers $(i,j)$, and a variable $d_{iB}$ (\textit{beam distance}) depending on the transverse momentum of the tower $i$.
 
-The jet reconstruction algorithm browses the calotower list. It starts by finding the minimum value $d_\textrm{min}$ of all the distances $d_{ij}$ and $d_{iB}$. If $d_\textrm{min}$ is a $d_{ij}$, the towers $i$ and $j$ are merged into a \textcolor{red}{single tower with a four-momentum $p^\mu = p^\mu (i) + p^\mu (j)$ (\textit{E-scheme recombination})}. If $d_\textrm{min}$ is a $d_{iB}$, the tower is declared as a final jet and is removed from the input list. This procedure is repeated until no towers are left in the input list. Further information on these jet algorithms is given here below, using $k_{ti}$, $y_{i}$ and $\phi_i$ as the transverse momentum, rapidity and azimuth of calotower $i$ and $\Delta R_{ij}= \sqrt{(y_i-y_j)^2+(\phi_i-\phi_j)^2}$ as the jet-radius parameter:
+The jet reconstruction algorithm browses the calotower list. It starts by finding the minimum value $d_\textrm{min}$ of all the distances $d_{ij}$ and $d_{iB}$. If $d_\textrm{min}$ is a $d_{ij}$, the towers $i$ and $j$ are merged into a single tower with a four-momentum $p^\mu = p^\mu (i) + p^\mu (j)$ (\textit{E-scheme recombination}). If $d_\textrm{min}$ is a $d_{iB}$, the tower is declared as a final jet and is removed from the input list. This procedure is repeated until no towers are left in the input list. Further information on these jet algorithms is given here below, using $k_{ti}$, $y_{i}$ and $\phi_i$ as the transverse momentum, rapidity and azimuth of calotower $i$ and $\Delta R_{ij}= \sqrt{(y_i-y_j)^2+(\phi_i-\phi_j)^2}$ as the jet-radius parameter:
  
 \begin{enumerate}[start=4]
@@ -365,5 +366,5 @@
 \end{equation}
  
-\item {\it Anti $k_t$ jet}~\cite{bib:antikt}: where hard jets are exactly circular
+\item {\it Anti $k_t$ jet}~\cite{bib:antikt}: where hard jets are exactly circular in the $(y,\phi)$ plane
 \begin{equation}
 \begin{array}{l}
@@ -396,5 +397,5 @@
 
 Jets originating from $\tau$-decays are identified using an identification procedure consistent with the one applied in a full detector simulation~\cite{bib:cmsjetresolution}. 
-The tagging rely on two properties of the $\tau$ lepton. First, $77\%$ of the $\tau$ hadronic decays contain only one charged hadron associated to a few neutrals (table~\ref{tab:taudecay}). Tracks are useful for this criterium. Secondly, the particles arisen from the $\tau$ lepton produce narrow jets in the calorimeter (\textit{collimation}). 
+The tagging rely on two properties of the $\tau$ lepton. First, $77\%$ of the $\tau$ hadronic decays contain only one charged hadron associated to a few neutrals (Tab.~\ref{tab:taudecay}). Tracks are useful for this criterium. Secondly, the particles arisen from the $\tau$ lepton produce narrow jets in the calorimeter (\textit{collimation}). 
 
 \begin{table}[!h]
@@ -405,10 +406,10 @@
 \hline
  \multicolumn{2}{l}{\textbf{Leptonic decays}}\\
- $ \tau^- \rightarrow e^- \ \bar \nu_e \ \nu_\tau$ & $17.85\% $ \\
- $ \tau^- \rightarrow \mu^- \ \bar \nu_\mu  \ \nu_\tau$ & $17.36\%$ \\
+ $ \tau^- \rightarrow e^- \ \bar \nu_e \ \nu_\tau$ & $17.9\% $ \\
+ $ \tau^- \rightarrow \mu^- \ \bar \nu_\mu  \ \nu_\tau$ & $17.4\%$ \\
  \multicolumn{2}{l}{\textbf{Hadronic decays}}\\
- $ \tau^- \rightarrow h^-\ n\times h^\pm \ m\times h^0\  \nu_\tau$  & \textcolor{red}{$64.79\%$} \\
- $ \tau^- \rightarrow h^-\ m\times h^0 \ \nu_\tau$  & $50.15\%$ \\
- $ \tau^- \rightarrow h^-\ h^+ h^-  m\times h^0 \ \nu_\tau$  & $15.18\%$ \\
+ $ \tau^- \rightarrow h^-\ n\times h^\pm \ m\times h^0\  \nu_\tau$  & $64.7\%$ \\
+ $ \tau^- \rightarrow h^-\ m\times h^0 \ \nu_\tau$  & $50.1\%$ \\
+ $ \tau^- \rightarrow h^-\ h^+ h^-  m\times h^0 \ \nu_\tau$  & $14.6\%$ \\
 \hline
 \end{tabular}
@@ -433,5 +434,5 @@
 To use the narrowness of the $\tau$-jet, the \textit{electromagnetic collimation} $C_{\tau}^{em}$ is defined as the sum of the energy of towers in a small cone of radius $R^\textrm{em}$ around the jet axis, divided by the energy of the reconstructed jet. 
 To be taken into account, a calorimeter tower should have a transverse energy $E_T^\textrm{tower}$ above a given threshold. 
-A large fraction of the jet energy is expected in this small cone. This fraction, or collimation factor, is represented in Fig.~\ref{fig:tau2} for the default values (see table \ref{tab:tauRef}).
+A large fraction of the jet energy is expected in this small cone. This fraction, or collimation factor, is represented in Fig.~\ref{fig:tau2} for the default values (see Tab.~\ref{tab:tauRef}).
 
 \begin{figure}[!h]
@@ -449,5 +450,5 @@
 
 The tracking isolation for the $\tau$ identification requires that the number of tracks associated to a particle with a significant transverse momentum is one and only one in a cone of radius $R^\textrm{tracks}$. 
-This cone should be entirely pointing to the tracker to be taken into account. Default values of these parameters are given in table~\ref{tab:tauRef}.
+This cone should be entirely pointing to the tracker to be taken into account. Default values of these parameters are given in Tab.~\ref{tab:tauRef}.
 
 
@@ -508,5 +509,5 @@
 In a real experiment, calorimeters measure energy and not momentum. Any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $\overrightarrow {E_T}^\textrm{miss}$. In this document, \textsc{met} is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation:
 \begin{equation}
-\textcolor{red}{ \overrightarrow{E_T}^\textrm{miss} = - \sum^\textrm{towers}_i \overrightarrow{E_T}(i)}
+\overrightarrow{E_T}^\textrm{miss} = - \sum^\textrm{towers}_i \overrightarrow{E_T}(i)
 \end{equation}
 
@@ -514,5 +515,5 @@
 \section{Trigger emulation}
 
-New physics in collider experiment are often characterised in phenomenology by low cross-section values, compared to the Standard Model (\textsc{sm}) processes. For instance at the \textsc{lhc} ($\sqrt{s}=14~\textrm{TeV}$), the cross-section of inclusive production of $b \bar b$ pairs is expected to be $10^7~\textrm{nb}$, or inclusive jets at $100~\textrm{nb}$ ($p_T > 200~\textrm{GeV}$), while \textcolor{red}{Higgs boson cross-section within the \textsc{sm} can be as small as $\ldots \times 10^{-6}~\textrm{nb}$}. 
+New physics in collider experiment are often characterised in phenomenology by low cross-section values, compared to the Standard Model (\textsc{sm}) processes. For instance at the \textsc{lhc} ($\sqrt{s}=14~\textrm{TeV}$), the cross-section of inclusive production of $b \bar b$ pairs is expected to be $10^7~\textrm{nb}$, or inclusive jets at $100~\textrm{nb}$ ($p_T > 200~\textrm{GeV}$), while Higgs boson cross-section within the \textsc{sm} can be as small as $2 \times 10^{-3}~\textrm{nb}$ ($pp \rightarrow WH$, $m_H=115~\textrm{GeV}$). 
 
 High statistics are required for data analyses, consequently imposing high luminosity, i.e. a high collision rate.
@@ -585,12 +586,11 @@
 The samples used to study the \textsc{met} performance are identical to those used for the jet validation. 
 It is worth noting that the contribution to $E_T^\textrm{miss}$ from muons is negligible in the studied sample.
-\textcolor{red}{The\footnote{\textcolor{red}{je n'ai pas tout compris. Ce que j'ai devin\'e est en rouge.}} input samples are divided in five bins of scalar $E_T$ sums $(\Sigma E_T)$. This sum, called \textit{total visible transverse energy}, is defined as the scalar sum of transverse energy in all towers.} 
+The input samples are divided in five bins of scalar $E_T$ sums $(\Sigma E_T)$. This sum, called \textit{total visible transverse energy}, is defined as the scalar sum of transverse energy in all towers. 
 The quality of the \textsc{met} reconstruction is checked via the resolution on its horizontal component $E_x^\textrm{miss}$.
 
 The $E_x^\textrm{miss}$ resolution is evaluated in the following way. 
-The distribution of the difference between $E_x^\textrm{miss}$ in \textsc{Delphes} and at generator-level is fitted with a Gaussian function \textcolor{red}{in each $(\Sigma E_T)$ bin. The fit mean gives the \textsc{met} bias in each bin.
-The resulting value} is plotted in Fig.~\ref{fig:resolETmis} as a function of the total visible transverse 
-energy.\footnote{
-\textcolor{red}{Entre nous, ca ressemble plus \`a un biais (= une diff\'erence entre le vrai et le simul\'e) plus qu'a une r\'esolution! Mais je suppose que c'est la definition que tu as trouv\'ee dans le CMS TDR.}}
+The distribution of the difference between $E_x^\textrm{miss}$ in \textsc{Delphes} and at generator-level is fitted with a Gaussian function in each $(\Sigma E_T)$ bin. The fit \textsc{rms} gives the \textsc{met} resolution in each bin.
+The resulting value is plotted in Fig.~\ref{fig:resolETmis} as a function of the total visible transverse 
+energy.
  
 \begin{figure}[!h]
@@ -613,5 +613,5 @@
 \subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}
 Due to the complexity of their reconstruction algorithm, $\tau$-jets have also to be checked.
-Table~\ref{tab:taurecoefficiency} lists the reconstruction efficiencies for the hadronic $\tau$-jets in the \textsc{cms} experiment and in \textsc{Delphes}. Agreement is good enough to validate this reconstruction.
+Tab.~\ref{tab:taurecoefficiency} lists the reconstruction efficiencies for the hadronic $\tau$-jets in the \textsc{cms} experiment and in \textsc{Delphes}. Agreement is good enough to validate this reconstruction.
 
 \begin{table}[!h]
@@ -670,5 +670,5 @@
 Moreover, kinematical information of each object is visible by a simple mouse action. 
 As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. 
-This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton~\cite{bib:wtphotoproduction}. 
+This corresponds to a $pp(\gamma p \rightarrow Wt)pX$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton~\cite{bib:wtphotoproduction}. 
 This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state.
 As the energy and virtuality of the emitted photon are low, the surviving proton does not leave the beam and escapes from the central detector without being detected.
@@ -702,5 +702,4 @@
 % 
 % \textsc{Delphes} has been developped using the parameters of the \textsc{cms} experiment but can be easily extended to \textsc{atlas} and other non-\textsc{lhc} experiments, as at Tevatron or at the \textsc{ilc}. Further developments include a more flexible design for the subdetector assembly and possibly the implementation of an event mixing module for pile-up event simulation.
-% \textcolor{red}{c'est complet, mais ca ressemble fort a l'abstract et a l'intro.}
 % 
 % 
@@ -718,5 +717,5 @@
 \section*{Acknowledgements}
 \addcontentsline{toc}{section}{Acknowledgements}
-The author would like to thank Vincent Lemaitre, Muriel Vander Donckt and David d'Enterria for useful discussions and comments, and Loic Quertenmont for support in interfacing \textsc{Frog}. 
+The authors would like to thank Vincent Lema\^itre, Muriel Vander Donckt and David d'Enterria for useful discussions and comments, and Loic Quertenmont for support in interfacing \textsc{Frog}. We are also really greatful to Alice Dechambre and Simon de Visscher for being beta testers of the complete package. 
 Part of this work was supported by the Belgian Federal Office for Scientific, Technical and Cultural Affairs through the Interuniversity Attraction Pole P6/11. 
 
@@ -738,5 +737,5 @@
 F. Abe et al. (CDF Coll.), \textbf{Phys. Rev. D} 45, (1992) 1448.
 \bibitem{bib:midpoint} %Run II Jet Physics: Proceedings of the Run II QCD and Weak Boson Physics Workshop,
-G.C. Blazey, et al., arXiv:hep-ex/0005012.
+G.C. Blazey, et al., \href{http://arxiv.org/abs/hep-ex/0005012}{arXiv:hep-ex/0005012}.
 \bibitem{bib:SIScone} %\textsc{SIScone}, \textit{A practical Seedless Infrared-Safe Cone jet algorithm}, 
 G.P. Salam, G. Soyez, \textbf{JHEP} 0705:086 (2007).
@@ -756,4 +755,5 @@
 \bibitem{bib:Frog} L. Quertenmont, V. Roberfroid, hep-ex/xxx.
 \bibitem{bib:wtphotoproduction} J. de Favereau de Jeneret, S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} 179-180 (2008) 277-284; S. Ovyn, J. de Favereau de Jeneret, \href{http://arxiv.org/pdf/0806.4841v1}{arXiv:hep-ph/0806.4841}
+\bibitem{bib:mcfio} P. Lebrun, L. Garren, Copyright (c) 1994-1995 Universities Research Association, Inc.
 \end{thebibliography}
 
@@ -763,5 +763,8 @@
 \section{User manual}
  
-The available code is a tar file which comes with everything you need to run the \textsc{Delphes} package. Nevertheless in order to visualise the events with the \textsc{Frog} program, you need to install libraries as explained in {\it href= ``http://projects.hepforge.org/frog/"}
+The available code is a zipped tar file which comes with everything needed to run the \textsc{Delphes} package, assuming a running. 
+The package includes \texttt{ExRootAnalysis}~\cite{bib:ExRootAnalysis}, \textsc{Hector}~\cite{bib:Hector}, 
+\textsc{FastJet}~\cite{bib:FastJet}, and \textsc{Frog}~\cite{bib:Frog}, as well as the conversion codes to read standard \mbox{\textsc{s}td\textsc{hep}} input files (\texttt{mcfio} and \texttt{stdhep})~\cite{bib:mcfio}.
+Nevertheless in order to visualise the events with the \textsc{Frog} software, some external libraries may be required, as explained in \href{http://projects.hepforge.org/frog/}{http://projects.hepforge.org/frog/}.
  
 \subsection{Getting started}