Index: /trunk/Utilities/mcfio/CREDITS
===================================================================
--- /trunk/Utilities/mcfio/CREDITS	(revision 138)
+++ /trunk/Utilities/mcfio/CREDITS	(revision 139)
@@ -1,1 +1,24 @@
-not available
+/*******************************************************************************
+*                                                                              *
+* mcf_evt_xdr.c -- XDR Utility routines for the McFast Monte-Carlo             *
+*                                                                              *
+* Copyright (c) 1994 Universities Research Association, Inc.                   *
+* All rights reserved.                                                         *
+*                                                                              *
+* This material resulted from work developed under a Government Contract and   *
+* is subject to the following license:  The Government retains a paid-up,      *
+* nonexclusive, irrevocable worldwide license to reproduce, prepare derivative *
+* works, perform publicly and display publicly by or for the Government,       *
+* including the right to distribute to other Government contractors.  Neither  *
+* the United States nor the United States Department of Energy, nor any of     *
+* their employees, makes any warranty, express or implied, or assumes any      *
+* legal liability or responsibility for the accuracy, completeness, or         *
+* usefulness of any information, apparatus, product, or process disclosed, or  *
+* represents that its use would not infringe privately owned rights.           *
+*                                                                              *
+*                                                                              *
+* Written by Paul Lebrun                                                       *
+*                                                                              *
+*                                                                              *
+*******************************************************************************/
+
Index: /trunk/Utilities/stdhep/CREDITS
===================================================================
--- /trunk/Utilities/stdhep/CREDITS	(revision 138)
+++ /trunk/Utilities/stdhep/CREDITS	(revision 139)
@@ -1,1 +1,23 @@
-not available
+/*******************************************************************************
+*                                                                              *
+* stdhep_internal_utils.c -- C version of stdhep internal utility routines     *
+*                                                                              *
+* Copyright (c) 1995 Universities Research Association, Inc.                   *
+* All rights reserved.                                                         *
+*                                                                              *
+* This material resulted from work developed under a Government Contract and   *
+* is subject to the following license:  The Government retains a paid-up,      *
+* nonexclusive, irrevocable worldwide license to reproduce, prepare derivative *
+* works, perform publicly and display publicly by or for the Government,       *
+* including the right to distribute to other Government contractors.  Neither  *
+* the United States nor the United States Department of Energy, nor any of     *
+* their employees, makes any warranty, express or implied, or assumes any      *
+* legal liability or responsibility for the accuracy, completeness, or         *
+* usefulness of any information, apparatus, product, or process disclosed, or  *
+* represents that its use would not infringe privately owned rights.           *
+*                                                                              *
+*                                                                              *
+* Written by Lynn Garren                                                       *
+*                                                                              *
+*                                                                              *
+*******************************************************************************/