Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 145)
+++ trunk/paper/notes.tex	(revision 146)
@@ -743,32 +743,32 @@
 %hepforge:
 \bibitem{bib:Root} %\textsc{Root}, \textit{An Object Oriented Data Analysis Framework}, 
-R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in \textbf{Phys. Res. A} 389 (1997) 81-86. 
+R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in \textbf{Phys. Res. A} \href{http://dx.doi.org/10.1016/S0168-9002(97)00048-X}{389 (1997) 81-86}.
 \bibitem{bib:ExRootAnalysis} %\textit{The} \textsc{ExRootAnalysis} \textit{analysis steering utility}, 
 P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
 \bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
-X. Rouby, J. de Favereau, K. Piotrzkowski, \textbf{JINST} 2 P09005 (2007).
+X. Rouby, J. de Favereau, K. Piotrzkowski, \textbf{JINST} \href{http://www.iop.org/EJ/abstract/1748-0221/2/09/P09005}{2 P09005 (2007)}.
 \bibitem{bib:FastJet} %\textit{The} \textsc{FastJet} \textit{package}, 
-M. Cacciari, G. Salam, \textbf{Phys. Lett. B} 641 (2006) 57.
+M. Cacciari, G. Salam, \textbf{Phys. Lett. B} \href{http://dx.doi.org/10.1016/j.physletb.2006.08.037}{641 (2006) 57}.
 \bibitem{bib:jetclu} %\textsc{cdf} Run I legacy algorithm,
-F. Abe et al. (CDF Coll.), \textbf{Phys. Rev. D} 45, (1992) 1448.
+F. Abe et al. (CDF Coll.), \textbf{Phys. Rev. D} \href{http://link.aps.org/doi/10.1103/PhysRevD.45.1448}{45 (1992) 1448}.
 \bibitem{bib:midpoint} %Run II Jet Physics: Proceedings of the Run II QCD and Weak Boson Physics Workshop,
 G.C. Blazey, et al., \href{http://arxiv.org/abs/hep-ex/0005012}{arXiv:hep-ex/0005012}.
 \bibitem{bib:SIScone} %\textsc{SIScone}, \textit{A practical Seedless Infrared-Safe Cone jet algorithm}, 
-G.P. Salam, G. Soyez, \textbf{JHEP} 0705:086 (2007).
-\bibitem{bib:ktjet} S. Catani, Y. L. Dokshitzer, M. H. Seymour, B. R. Webber, \textbf{Nucl. Phys. B} 406 (1993) 187; S. D. Ellis, D. E. Soper, \textbf{Phys. Rev. D} 48 (1993) 3160.
-\bibitem{bib:aachen} Y.L. Dokshitzer, G.D. Leder, S. Moretti, B.R. Webber, \textbf{JHEP} 9708 (1997) 001; M. Wobisch, T. Wengler, arXiv:hep-ph/9907280.
+G.P. Salam, G. Soyez, \textbf{JHEP} \href{http://dx.doi.org/10.1088/1126-6708/2007/05/086}{05 (2007) 086}.
+\bibitem{bib:ktjet} S. Catani, Y.L. Dokshitzer, M.H. Seymour, B.R. Webber, \textbf{Nucl. Phys. B} \href{http://dx.doi.org/10.1016/0550-3213(93)90166-M}{406 (1993) 187}; S.D. Ellis, D.E. Soper, \textbf{Phys. Rev. D} \href{http://link.aps.org/doi/10.1103/PhysRevD.48.3160}{48 (1993) 3160}.
+\bibitem{bib:aachen} Y.L. Dokshitzer, G.D. Leder, S. Moretti, B.R. Webber, \textbf{JHEP} \href{http://dx.doi.org/10.1088/1126-6708/1998/01/011}{08 (1997) 001}; M. Wobisch, T. Wengler, \href{http://arxiv.org/abs/hep-ph/9907280}{arXiv:hep-ph/9907280}.
 \bibitem{bib:antikt} %\textit{The anti-kt jet clustering algorithm}, 
-M. Cacciari, G. P. Salam, G. Soyez, \textbf{JHEP} 0804 (2008) 063.
-\bibitem{bib:cmsjetresolution} CMS Collaboration, \textbf{CERN/LHCC} 2006-001; \textbf{CMS IN} 2007/053.
-\bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), \textbf{Phys. Lett. B} 667 (2008) 1.
-\bibitem{bib:whphotoproduction} S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} 179-180 (2008) 269-276.
+M. Cacciari, G. P. Salam, G. Soyez, \textbf{JHEP} \href{http://dx.doi.org/10.1088/1126-6708/2008/04/063}{04 (2008) 063}.
+\bibitem{bib:cmsjetresolution} CMS Collaboration, \textbf{CERN/LHCC} \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}; \textbf{CMS IN} 2007/053.
+\bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), \textbf{Phys. Lett. B} \href{http://dx.doi.org/10.1016/j.physletb.2008.07.018}{667 (2008) 1}.
+\bibitem{bib:whphotoproduction} S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} \href{http://dx.doi.org/10.1016/j.nuclphysbps.2008.07.034}{179-180 (2008) 269-276}.
 \bibitem{bib:mgme} %\textsc{MadGraph/MadEvent v4}, \textit{The New Web Generation}, 
-J. Alwall, et al., \textbf{JHEP} 0709:028 (2007).
+J. Alwall, et al., \textbf{JHEP} \href{http://dx.doi.org/10.1088/1126-6708/2007/09/028}{09 (2007) 028}.
 \bibitem{bib:pythia} %\textsc{Pythia 6.4}, \textit{Physics and Manual}, 
-T. Sjostrand, S. Mrenna, P. Skands, \textbf{JHEP} 05 (2006) 026.
+T. Sjostrand, S. Mrenna, P. Skands, \textbf{JHEP} \href{http://dx.doi.org/10.1088/1126-6708/2006/05/026}{05 (2006) 026}.
 \bibitem{bib:cmstauresolution} %\textit{Study of $\tau$-jet identification in CMS}, 
-R. Kinnunen, \textbf{CMS NOTE} 1997/002.
+R. Kinnunen, A.N. Nikitenko\textbf{CMS NOTE} \href{http://cdsweb.cern.ch/record/687274}{1997/002}.
 \bibitem{bib:Frog} L. Quertenmont, V. Roberfroid, hep-ex/xxx.
-\bibitem{bib:wtphotoproduction} J. de Favereau de Jeneret, S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} 179-180 (2008) 277-284; S. Ovyn, J. de Favereau de Jeneret, \href{http://arxiv.org/pdf/0806.4841v1}{arXiv:hep-ph/0806.4841}
+\bibitem{bib:wtphotoproduction} J. de Favereau de Jeneret, S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} \href{http://dx.doi.org/10.1016/j.nuclphysbps.2008.07.040}{179-180 (2008) 277-284}; S. Ovyn, J. de Favereau de Jeneret, \href{http://arxiv.org/pdf/0806.4841v1}{arXiv:hep-ph/0806.4841}
 \bibitem{bib:mcfio} P. Lebrun, L. Garren, Copyright (c) 1994-1995 Universities Research Association, Inc.
 \end{thebibliography}
@@ -868,4 +868,10 @@
 TRACK_eff         100      // efficiency associated to the tracking (%)
 
+
+\end{verbatim}
+\end{quote}
+
+\begin{quote}
+\begin{verbatim}
 # Calorimetric towers
 TOWER_number         40
@@ -1005,5 +1011,10 @@
 {\bf GEN \textsc{tree}} & &\\
 ~~~Particle & generator particles from \textsc{hepevt}     & {\verb TRootGenParticle }\\
-& & \\
+{\bf Trigger  } & &\\
+~~~TrigResult & Acceptance of different trigger bits       & {\verb TRootTrigger }\\
+\end{tabular}
+\end{quote}
+\begin{quote}
+\begin{tabular}{lll}
 {\bf Analysis \textsc{tree}} & & \\
 ~~~Tracks     & Collection of tracks                       & {\verb TRootTracks }\\
@@ -1018,7 +1029,4 @@
 ~~~RP220hits  & Hits in the first proton taggers           & {\verb TRootRomanPotHits }\\
 ~~~FP420hits  & Hits in the next proton taggers            & {\verb TRootRomanPotHits }\\
-& & \\
-{\bf Trigger  } & &\\
-~~~TrigResult & Acceptance of different trigger bits       & {\verb TRootTrigger }\\
 \end{tabular}
 \end{quote}
@@ -1026,13 +1034,14 @@
 All classes except \texttt{TRootTrigger}, \texttt{TRootETmis} and \texttt{TRootRomanPotHits} inherit from the class \texttt{TRootParticle} which includes the following data members (stored as \textit{leaves} in \textit{branches} of the \textit{trees}):
 \begin{quote}
-\begin{verbatim}
- float E;  // particle energy in GeV
- float Px; // particle momentum vector (x component) in GeV
- float Py; // particle momentum vector (y component) in GeV
- float Pz; // particle momentum vector (z component) in GeV
- float PT; // particle transverse momentum in GeV
- float Eta; // particle pseudorapidity  
- float Phi; // particle azimuthal angle in rad
-\end{verbatim}
+\begin{tabular}{ll}
+\multicolumn{2}{l}{\textbf{Most common leaves}}\\
+ \texttt{~~~float E;     }&\texttt{ // particle energy in GeV }\\
+ \texttt{~~~float Px;    }&\texttt{ // particle momentum vector (x component) in GeV }\\
+ \texttt{~~~float Py;    }&\texttt{ // particle momentum vector (y component) in GeV }\\
+ \texttt{~~~float Pz;    }&\texttt{ // particle momentum vector (z component) in GeV }\\
+ \texttt{~~~float PT;    }&\texttt{ // particle transverse momentum in GeV }\\
+ \texttt{~~~float Eta;   }&\texttt{ // particle pseudorapidity   }\\
+ \texttt{~~~float Phi;   }&\texttt{ // particle azimuthal angle in rad }\\
+\end{tabular}
 \end{quote}
  
@@ -1040,31 +1049,31 @@
 \begin{quote}
 \begin{tabular}{ll}
-{\bf leaves in the \texttt{Particle} branch} &\\    
-   \texttt{  int PID;      }&\texttt{ // particle HEP ID number }\\
-   \texttt{  int Status;   }&\texttt{ // particle status }\\
-   \texttt{  int M1;       }&\texttt{ // particle 1st mother }\\
-   \texttt{  int M2;       }&\texttt{ // particle 2nd mother }\\
-   \texttt{  int D1;       }&\texttt{ // particle 1st daughter }\\
-   \texttt{  int D2;       }&\texttt{ // particle 2nd daughter }\\
-   \texttt{  float Charge; }&\texttt{ // electrical charge in units of e}\\
-   \texttt{  float T;      }&\texttt{ // particle vertex position (t component, in mm/c) }\\
-   \texttt{  float X;      }&\texttt{ // particle vertex position (x component, in mm) }\\
-   \texttt{  float Y;      }&\texttt{ // particle vertex position (y component, in mm) }\\
-   \texttt{  float Z;      }&\texttt{ // particle vertex position (z component, in mm) }\\
-   \texttt{  float M;      }&\texttt{ // particle mass in GeV}\\
+\multicolumn{2}{l}{{\bf Leaves in the \texttt{Particle} branch}} \\    
+   \texttt{~~~int PID;      }&\texttt{ // particle HEP ID number }\\
+   \texttt{~~~int Status;   }&\texttt{ // particle status }\\
+   \texttt{~~~int M1;       }&\texttt{ // particle 1st mother }\\
+   \texttt{~~~int M2;       }&\texttt{ // particle 2nd mother }\\
+   \texttt{~~~int D1;       }&\texttt{ // particle 1st daughter }\\
+   \texttt{~~~int D2;       }&\texttt{ // particle 2nd daughter }\\
+   \texttt{~~~float Charge; }&\texttt{ // electrical charge in units of e}\\
+   \texttt{~~~float T;      }&\texttt{ // particle vertex position (t component, in mm/c) }\\
+   \texttt{~~~float X;      }&\texttt{ // particle vertex position (x component, in mm) }\\
+   \texttt{~~~float Y;      }&\texttt{ // particle vertex position (y component, in mm) }\\
+   \texttt{~~~float Z;      }&\texttt{ // particle vertex position (z component, in mm) }\\
+   \texttt{~~~float M;      }&\texttt{ // particle mass in GeV}\\
 \end{tabular}
 \end{quote}
 \begin{quote}
 \begin{tabular}{ll}
-{\bf Additional leaves in \texttt{Electron} and \texttt{Muon} branches} &\\
-   \texttt{ int Charge } &\\
-   \texttt{ bool IsolFlag } &\\
+\multicolumn{2}{l}{\textbf{Additional leaves in \texttt{Electron} and \texttt{Muon} branches}} \\
+   \texttt{~~~int Charge } &\\
+   \texttt{~~~bool IsolFlag } &\\
 & \\
-{\bf Additional leaf in the \texttt{Jet} branch }  &\\
-   \texttt{ bool Btag } &\\
+\multicolumn{2}{l}{\textbf{Additional leaf in the \texttt{Jet} branch}}  \\
+   \texttt{~~~bool Btag } &\\
 & \\
-{\bf Additional leaves in the \texttt{ZDChits} branch } &\\
-   \texttt{float T;        }&\texttt{ // time of flight  in s }\\
-   \texttt{ int side;      }&\texttt{ // -1 or +1 }\\
+\multicolumn{2}{l}{\textbf{Additional leaves in the \texttt{ZDChits} branch}}\\
+   \texttt{~~~float T;        }&\texttt{ // time of flight  in s }\\
+   \texttt{~~~int side;      }&\texttt{ // -1 or +1 }\\
 \end{tabular}
 \end{quote}
@@ -1089,24 +1098,24 @@
 (const Long64_t)200
 root [4] GEN->GetListOfBranches()->ls()
-OBJ: TBranchElement     Event   Event_ : 0 at: 0x9108f30
-OBJ: TBranch    Event_size      Event_size/I : 0 at: 0x910cfd0
-OBJ: TBranchElement     Particle        Particle_ : 0 at: 0x910c6b0
-OBJ: TBranch    Particle_size   Particle_size/I : 0 at: 0x9111c58
+OBJ: TBranchElement  Event       Event_ : 0 at: 0x9108f30
+OBJ: TBranch         Event_size  Event_size/I : 0 at: 0x910cfd0
+OBJ: TBranchElement  Particle    Particle_ : 0 at: 0x910c6b0
+OBJ: TBranch  Particle_size  Particle_size/I : 0 at: 0x9111c58
 root [5] Trigger->GetListOfLeaves()->ls()
-OBJ: TLeafElement       TrigResult_     TrigResult_ : 0 at: 0x90f90a0
-OBJ: TLeafElement       TrigResult.Accepted     Accepted[TrigResult_] : 0 at: 0x90f9000
-OBJ: TLeafI     TrigResult_size TrigResult_size : 0 at: 0x90fb860
+OBJ: TLeafElement TrigResult_          TrigResult_ : 0 at: 0x90f90a0
+OBJ: TLeafElement TrigResult.Accepted  Accepted[TrigResult_] : 0 at: 0x90f9000
+OBJ: TLeafI       TrigResult_size      TrigResult_size : 0 at: 0x90fb860
 \end{verbatim}
 \end{quote}
 The \texttt{.ls} command lists the current keys available and in particular the three \textit{tree} names.
-\texttt{TBrowser t} launches a browser and the \texttt{GetEntries()} method outputs the number of data in the corresponding \textit{tree}.
+\mbox{\texttt{TBrowser t}} launches a browser and the \texttt{GetEntries()} method outputs the number of data in the corresponding \textit{tree}.
 The list of \textit{branches} or \textit{leaves} can be displayed with the \texttt{GetListOfBranches()} and \texttt{GetListOfLeaves()} methods, pointing to the \texttt{ls()} one. In particular, it is possible to shown only parts of the output, using wildcard characters (\texttt{*}):
 \begin{quote}
 \begin{verbatim}
 root [6] Analysis->GetListOfLeaves()->ls("*.E")
-OBJ: TLeafElement       Jet.E   E[Jet_] : 0 at: 0xa08bc68
+OBJ: TLeafElement       Jet.E           E[Jet_] : 0 at: 0xa08bc68
 OBJ: TLeafElement       TauJet.E        E[TauJet_] : 0 at: 0xa148910
 OBJ: TLeafElement       Electron.E      E[Electron_] : 0 at: 0xa1d8a50
-OBJ: TLeafElement       Muon.E  E[Muon_] : 0 at: 0xa28ac80
+OBJ: TLeafElement       Muon.E          E[Muon_] : 0 at: 0xa28ac80
 OBJ: TLeafElement       Photon.E        E[Photon_] : 0 at: 0xa33cd88
 OBJ: TLeafElement       Tracks.E        E[Tracks_] : 0 at: 0xa3cced0
@@ -1143,5 +1152,5 @@
  \begin{quote}
 \begin{verbatim}
-./Analysis_Ex input_file.list output_file.root
+me@mylaptop:~$ ./Analysis_Ex input_file.list output_file.root
 \end{verbatim}
  \end{quote}
@@ -1154,14 +1163,14 @@
  \begin{quote}
 \begin{verbatim}
-./Trigger_Only input_file.root data/trigger.dat
+me@mylaptop:~$ ./Trigger_Only input_file.root data/trigger.dat
 \end{verbatim}
  \end{quote}
  
-\subsection{Running the \textsc{Frog} event display}
+\subsection{Running the FROG event display}
  
 \begin{itemize}
 \item If the { \verb FLAG_frog } was switched on in the smearing card, two files has been created during the run of \textsc{Delphes}: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed information to run \textsc{frog}.
 \item To display the events and the geometry, you first need to compile \textsc{Frog}. Go to the {\verb Utilities/FROG } and type {\verb make }. This compilation is done once for all, with this geometry (i.e. as long as the \texttt{*vis} and \texttt{*geom} files do not change)
-\item Go back into the main directory and type {\verb ./Utilities/FROG/frog }.
+\item Go back into the main directory and type \texttt{me@mylaptop:~\$ ./Utilities/FROG/frog}.
 \end{itemize}
  