Index: trunk/paper/FrogPaper/delphes.tex
===================================================================
--- trunk/paper/FrogPaper/delphes.tex	(revision 149)
+++ trunk/paper/FrogPaper/delphes.tex	(revision 149)
@@ -0,0 +1,95 @@
+\documentclass[a4paper,11pt,oneside,onecolumn]{article}
+\usepackage[english]{babel}
+\usepackage[ansinew]{inputenc}
+\usepackage{abstract}
+
+\usepackage{amsmath}
+\usepackage{epic}
+ \usepackage{wrapfig}
+\usepackage{eepic}
+\usepackage{color}
+\usepackage{latexsym}
+\usepackage{array}
+\usepackage{multicol}
+
+\usepackage{fancyhdr}
+\usepackage{verbatim}
+\addtolength{\textwidth}{2cm} \addtolength{\hoffset}{-1cm}
+\usepackage[colorlinks=true, pdfstartview=FitV, linkcolor=black, citecolor=black, urlcolor=black, unicode]{hyperref}
+\usepackage{cite}
+\usepackage[dvips]{graphicx}
+
+\begin{document}
+
+
+
+\section{\textsc{Delphes}, a framework for the fast simulation of a general purpose collider experiment}
+
+Knowing whether theoretical predictions are visible and measurable in a high energy experiment is always delicate, due to the
+complexity of the related detectors, their data acquisition chain and their operating software. The \textsc{Delphes} framework~\cite{bib:Delphes} has been introduced for the fast and realistic simulation of
+a general purpose experiment, like CMS or ATLAS at the LHC. The simulation includes the usual components of such detector as well as possible very forward detectors arranged along the beamline.
+
+The framework is interfaced to standard file formats (e.g. Les Houches Event File) and outputs observable analysis data objects, like missing transverse energy and collections of electrons or jets.
+The simulation of detector response takes into account the detector resolution, by smearing the kinematic properties of the particle.
+Usual reconstruction algorithms are applied for complex objects, like the missing transverse energy or the jets originating from $b$ quarks or $\tau$ leptons. 
+
+A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines. Finally, the visualisation of the collision final states is possible via a dedicated Producer interfacing \textsc{Frog} to \textsc{Delphes}.
+
+A fast simulation can be used to obtain realistic observables and fast estimates of signal and background rates for specific channels.  Starting from generator-level information, the package provides reconstructed jets, isolated leptons, photons, reconstructed charged tracks, calorimeter towers and the expected transverse missing energy. 
+
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=\columnwidth]{Detector_Delphes_1}
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink). It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections. The outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector. The actual detector granularity and extension is defined in the user-configuration card. The detector is assumed to be strictly symmetric around the beam axis (black line). Additional forward detectors are not depicted.}
+\label{fig:GenDet}
+\end{center}
+\end{figure}
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=0.5\columnwidth]{Detector_Delphes_3}
+\caption{Profile of the layout assumed in \textsc{Delphes}. The extension of the various subdetectors, as defined in Tab.~\ref{tab:defEta}, are clearly visible. Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
+\label{fig:GenDet3}
+\end{center}
+\end{figure}
+
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=0.6\columnwidth]{Detector_Delphes_2b}
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. Open 3D-view of the detector with solid volumes. Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
+\label{fig:GenDet2}
+\end{center}
+\end{figure}
+
+
+The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in Fig.~\ref{fig:GenDet},~\ref{fig:GenDet3} and~\ref{fig:GenDet2}. A central tracking system surrounded by an electromagnetic and a hadron calorimeters. The muon system encloses the detector volume. A forward calorimeter ensure a larger geometric coverage for the measurement of the missing transverse energy. The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite energy resolution. All detectors are assumed to be symmetric with respect to the beam axis. The configuration of the subsystems used in these examples is summarised in Table~\ref{tab:defEta}.
+
+\begin{table}[!h]
+\begin{center}
+\begin{tabular}[!h]{llc}
+\hline
+System & \multicolumn{2}{l}{Extension in pseudorapidity} \\
+\hline
+Tracking     &  & $0 \leq |\eta| \leq 2.5$\\
+Calorimeters & central & $0 \leq |\eta| \leq 3.0$\\
+             & forward & $3.0 \leq |\eta| \leq 5.0$\\
+Muon system  &  & $0 \leq |\eta| \leq 2.4$ \\\hline
+\end{tabular}
+\label{tab:defEta}
+\end{center}
+\end{table}
+
+As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton. This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state. The experimental signature is a lack of hadronic activity in one forward hemisphere, where the surviving proton escapes. The $t$ quark decays into a $W$ and a $b$. Both $W$ bosons decay into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow \tau \nu_\tau$). 
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=\columnwidth]{Events_Delphes_1}
+\caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event. One $W$ boson decays into a $\mu \ \nu_\mu$ pair and the second one into a $\tau \ \nu_\tau$ pair. The surviving proton leaves a forward hemisphere with no hadronic activity. The isolated muon is shown as the blue vector. The $\tau$-jet is the cone around the green vector, while the reconstructed missing energy is shown in gray. One jet is visible in one forward region, along the beamline axis, opposite to the direction of the escaping proton.}
+\label{fig:wt}
+\end{center}
+\end{figure}
+
+
+\end{document}